org.apache.tamaya.integration.camel

## Class TamayaPropertiesComponent

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultComponent
    - - org.apache.camel.component.properties.PropertiesComponent
      - - org.apache.tamaya.integration.camel.TamayaPropertiesComponent

- All Implemented Interfaces:
    org.apache.camel.CamelContextAware, org.apache.camel.Component, org.apache.camel.Service, org.apache.camel.ShutdownableService, org.apache.camel.StatefulService, org.apache.camel.SuspendableService

      public class TamayaPropertiesComponent
      extends org.apache.camel.component.properties.PropertiesComponent

  Default Camel PropertiesComponent that additionally has cfg and tamaya prefixes configured for resolution of entries from tamaya.

- - ### Property Summary

    - ### Properties inherited from class org.apache.camel.component.properties.PropertiesComponent

      `isFallbackToUnaugmentedProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.camel.component.properties.PropertiesComponent

      `DEFAULT_PREFIX_TOKEN, DEFAULT_SUFFIX_TOKEN, OVERRIDE_PROPERTIES, PREFIX_TOKEN, SUFFIX_TOKEN, SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_OVERRIDE`

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TamayaPropertiesComponent()` Constructor similar to parent.
    `TamayaPropertiesComponent(String... locations)` Constructor similar to parent with additional locations.
    `TamayaPropertiesComponent(String location)` Constructor similar to parent with only one location.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTamayaOverrides(boolean enabled)` Apply the current Tamaya properties (configuration) as override properties evaluated first by camel before evaluating other uris.

    - ### Methods inherited from class org.apache.camel.component.properties.PropertiesComponent

      `addFunction, createEndpoint, doStart, doStop, getEncoding, getFunctions, getInitialProperties, getLocations, getOverrideProperties, getPrefixToken, getPropertiesParser, getPropertiesResolver, getPropertyPrefix, getPropertySuffix, getSuffixToken, getSystemPropertiesMode, hasFunction, isCache, isDefaultCreated, isFallbackToUnaugmentedProperty, isIgnoreMissingLocation, parseUri, parseUri, setCache, setEncoding, setFallbackToUnaugmentedProperty, setIgnoreMissingLocation, setInitialProperties, setLocation, setLocations, setOverrideProperties, setPrefixToken, setPropertiesParser, setPropertiesResolver, setPropertyPrefix, setPropertySuffix, setSuffixToken, setSystemPropertiesMode`

    - ### Methods inherited from class org.apache.camel.impl.DefaultComponent

      `afterConfiguration, createComponentConfiguration, createConfiguration, createEndpoint, getAndRemoveOrResolveReferenceParameter, getAndRemoveOrResolveReferenceParameter, getAndRemoveParameter, getAndRemoveParameter, getCamelContext, ifStartsWithReturnRemainder, preProcessUri, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceListParameter, resolveAndRemoveReferenceParameter, resolveAndRemoveReferenceParameter, setCamelContext, setProperties, useIntrospectionOnEndpoint, useRawUri, validateParameters, validateURI`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TamayaPropertiesComponent

          public TamayaPropertiesComponent()

      Constructor similar to parent.

    - #### TamayaPropertiesComponent

          public TamayaPropertiesComponent(String... locations)

      Constructor similar to parent with additional locations.
      Parameters:
        `locations` - additional locations for Camel.

    - #### TamayaPropertiesComponent

          public TamayaPropertiesComponent(String location)

      Constructor similar to parent with only one location.
      Parameters:
        `location` - addition location for Camel.

  - ### Method Detail

    - #### setTamayaOverrides

          public void setTamayaOverrides(boolean enabled)

      Apply the current Tamaya properties (configuration) as override properties evaluated first by camel before evaluating other uris.
      Parameters:
        `enabled` - flag to define if tamaya values override everything else.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.